Package com.independentsoft.office.word.math

# Class MathProperties

java.lang.Object
com.independentsoft.office.word.math.MathProperties

public class MathProperties extends Object
The Class MathProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MathProperties()`
  Instantiates a new math properties.
  `MathProperties​(InternalXMLStreamReader reader)`
  Instantiates a new math properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MathProperties`
  `clone()`
  `BinaryOperatorBreak`
  `getBinaryOperatorBreak()`
  Gets the binary operator break.
  `BinarySubtractionBreak`
  `getBinarySubtractionBreak()`
  Gets the binary subtraction break.
  `Justification`
  `getDefaultJustification()`
  Gets the default justification.
  `ExtendedBoolean`
  `getDisplayDefaults()`
  Gets the display defaults.
  `String`
  `getFont()`
  Gets the font.
  `LimitLocation`
  `getIntegralLimitLocations()`
  Gets the integral limit locations.
  `int`
  `getInterEquationSpacing()`
  Gets the inter equation spacing.
  `int`
  `getIntraEquationSpacing()`
  Gets the intra equation spacing.
  `int`
  `getLeftMargin()`
  Gets the left margin.
  `LimitLocation`
  `getNaryLimitLocation()`
  Gets the nary limit location.
  `int`
  `getPostEquationSpacing()`
  Gets the post equation spacing.
  `int`
  `getPreEquationSpacing()`
  Gets the pre equation spacing.
  `int`
  `getRightMargin()`
  Gets the right margin.
  `ExtendedBoolean`
  `getSmallFraction()`
  Gets the small fraction.
  `int`
  `getWrapIndent()`
  Gets the wrap indent.
  `ExtendedBoolean`
  `getWrapRight()`
  Gets the wrap right.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setBinaryOperatorBreak​(BinaryOperatorBreak binaryOperatorBreak)`
  Sets the binary operator break.
  `void`
  `setBinarySubtractionBreak​(BinarySubtractionBreak binarySubtractionBreak)`
  Sets the binary subtraction break.
  `void`
  `setDefaultJustification​(Justification defaultJustification)`
  Sets the default justification.
  `void`
  `setDisplayDefaults​(ExtendedBoolean displayDefaults)`
  Sets the display defaults.
  `void`
  `setFont​(String font)`
  Sets the font.
  `void`
  `setIntegralLimitLocations​(LimitLocation integralLimitLocations)`
  Sets the integral limit locations.
  `void`
  `setInterEquationSpacing​(int interEquationSpacing)`
  Sets the inter equation spacing.
  `void`
  `setIntraEquationSpacing​(int intraEquationSpacing)`
  Sets the intra equation spacing.
  `void`
  `setLeftMargin​(int leftMargin)`
  Sets the left margin.
  `void`
  `setNaryLimitLocation​(LimitLocation naryLimitLocation)`
  Sets the nary limit location.
  `void`
  `setPostEquationSpacing​(int postEquationSpacing)`
  Sets the post equation spacing.
  `void`
  `setPreEquationSpacing​(int preEquationSpacing)`
  Sets the pre equation spacing.
  `void`
  `setRightMargin​(int rightMargin)`
  Sets the right margin.
  `void`
  `setSmallFraction​(ExtendedBoolean smallFraction)`
  Sets the small fraction.
  `void`
  `setWrapIndent​(int wrapIndent)`
  Sets the wrap indent.
  `void`
  `setWrapRight​(ExtendedBoolean wrapRight)`
  Sets the wrap right.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MathProperties

    public MathProperties()
    Instantiates a new math properties.

  - ### MathProperties

    public MathProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new math properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public MathProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getBinaryOperatorBreak

    public BinaryOperatorBreak getBinaryOperatorBreak()
    Gets the binary operator break.
    Returns:
      the binary operator break

  - ### setBinaryOperatorBreak

    public void setBinaryOperatorBreak​(BinaryOperatorBreak binaryOperatorBreak)
    Sets the binary operator break.
    Parameters:
      `binaryOperatorBreak` - the new binary operator break

  - ### getBinarySubtractionBreak

    public BinarySubtractionBreak getBinarySubtractionBreak()
    Gets the binary subtraction break.
    Returns:
      the binary subtraction break

  - ### setBinarySubtractionBreak

    public void setBinarySubtractionBreak​(BinarySubtractionBreak binarySubtractionBreak)
    Sets the binary subtraction break.
    Parameters:
      `binarySubtractionBreak` - the new binary subtraction break

  - ### getDefaultJustification

    public Justification getDefaultJustification()
    Gets the default justification.
    Returns:
      the default justification

  - ### setDefaultJustification

    public void setDefaultJustification​(Justification defaultJustification)
    Sets the default justification.
    Parameters:
      `defaultJustification` - the new default justification

  - ### getDisplayDefaults

    public ExtendedBoolean getDisplayDefaults()
    Gets the display defaults.
    Returns:
      the display defaults

  - ### setDisplayDefaults

    public void setDisplayDefaults​(ExtendedBoolean displayDefaults)
    Sets the display defaults.
    Parameters:
      `displayDefaults` - the new display defaults

  - ### getInterEquationSpacing

    public int getInterEquationSpacing()
    Gets the inter equation spacing.
    Returns:
      the inter equation spacing

  - ### setInterEquationSpacing

    public void setInterEquationSpacing​(int interEquationSpacing)
    Sets the inter equation spacing.
    Parameters:
      `interEquationSpacing` - the new inter equation spacing

  - ### getIntegralLimitLocations

    public LimitLocation getIntegralLimitLocations()
    Gets the integral limit locations.
    Returns:
      the integral limit locations

  - ### setIntegralLimitLocations

    public void setIntegralLimitLocations​(LimitLocation integralLimitLocations)
    Sets the integral limit locations.
    Parameters:
      `integralLimitLocations` - the new integral limit locations

  - ### getIntraEquationSpacing

    public int getIntraEquationSpacing()
    Gets the intra equation spacing.
    Returns:
      the intra equation spacing

  - ### setIntraEquationSpacing

    public void setIntraEquationSpacing​(int intraEquationSpacing)
    Sets the intra equation spacing.
    Parameters:
      `intraEquationSpacing` - the new intra equation spacing

  - ### getLeftMargin

    public int getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(int leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getFont

    public String getFont()
    Gets the font.
    Returns:
      the font

  - ### setFont

    public void setFont​(String font)
    Sets the font.
    Parameters:
      `font` - the new font

  - ### getNaryLimitLocation

    public LimitLocation getNaryLimitLocation()
    Gets the nary limit location.
    Returns:
      the nary limit location

  - ### setNaryLimitLocation

    public void setNaryLimitLocation​(LimitLocation naryLimitLocation)
    Sets the nary limit location.
    Parameters:
      `naryLimitLocation` - the new nary limit location

  - ### getPostEquationSpacing

    public int getPostEquationSpacing()
    Gets the post equation spacing.
    Returns:
      the post equation spacing

  - ### setPostEquationSpacing

    public void setPostEquationSpacing​(int postEquationSpacing)
    Sets the post equation spacing.
    Parameters:
      `postEquationSpacing` - the new post equation spacing

  - ### getPreEquationSpacing

    public int getPreEquationSpacing()
    Gets the pre equation spacing.
    Returns:
      the pre equation spacing

  - ### setPreEquationSpacing

    public void setPreEquationSpacing​(int preEquationSpacing)
    Sets the pre equation spacing.
    Parameters:
      `preEquationSpacing` - the new pre equation spacing

  - ### getRightMargin

    public int getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(int rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getSmallFraction

    public ExtendedBoolean getSmallFraction()
    Gets the small fraction.
    Returns:
      the small fraction

  - ### setSmallFraction

    public void setSmallFraction​(ExtendedBoolean smallFraction)
    Sets the small fraction.
    Parameters:
      `smallFraction` - the new small fraction

  - ### getWrapIndent

    public int getWrapIndent()
    Gets the wrap indent.
    Returns:
      the wrap indent

  - ### setWrapIndent

    public void setWrapIndent​(int wrapIndent)
    Sets the wrap indent.
    Parameters:
      `wrapIndent` - the new wrap indent

  - ### getWrapRight

    public ExtendedBoolean getWrapRight()
    Gets the wrap right.
    Returns:
      the wrap right

  - ### setWrapRight

    public void setWrapRight​(ExtendedBoolean wrapRight)
    Sets the wrap right.
    Parameters:
      `wrapRight` - the new wrap right